Package com.google.gwt.touch.client

## Class Point

- java.lang.Object
- - com.google.gwt.touch.client.Point

-     public class Point
      extends java.lang.Object

  A simple point class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Point()` |
    `Point​(double x, double y)` |
    `Point​(Point c)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Point` | `div​(Point c)` | Divide this point `Point` by specified point and return the result.
    `boolean` | `equals​(java.lang.Object obj)` |
    `double` | `getX()` | Get the x value of the point.
    `double` | `getY()` | Get the y value of the point.
    `int` | `hashCode()` |
    `Point` | `minus​(Point c)` | Subtract the specified `Point` from this point and return the result.
    `Point` | `mult​(Point c)` | Multiple this point `Point` by specified point and return the result.
    `Point` | `plus​(Point c)` | Add the specified `Point` to this point and return the result.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Point

          public Point()

    - #### Point

          public Point​(double x,
                       double y)

    - #### Point

          public Point​(Point c)

  - ### Method Detail

    - #### div

          public Point div​(Point c)

      Divide this point `Point` by specified point and return the result. Does not modified this `Point`.
      Parameters:
        `c` - the value by which to divide
      Returns:
        the resulting point

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getX

          public double getX()

      Get the x value of the point.
      Returns:
        the x value

    - #### getY

          public double getY()

      Get the y value of the point.
      Returns:
        the y value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### minus

          public Point minus​(Point c)

      Subtract the specified `Point` from this point and return the result. Does not modified this `Point`.
      Parameters:
        `c` - the value to subtract
      Returns:
        the resulting point

    - #### mult

          public Point mult​(Point c)

      Multiple this point `Point` by specified point and return the result. Does not modified this `Point`.
      Parameters:
        `c` - the value by which to multiply
      Returns:
        the resulting point

    - #### plus

          public Point plus​(Point c)

      Add the specified `Point` to this point and return the result. Does not modified this `Point`.
      Parameters:
        `c` - the value to add
      Returns:
        the resulting point

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`